Sybase NNTP forums - End Of Life (EOL)

The NNTP forums from Sybase - forums.sybase.com - are now closed.

All new questions should be directed to the appropriate forum at the SAP Community Network (SCN).

Individual products have links to the respective forums on SCN, or you can go to SCN and search for your product in the search box (upper right corner) to find your specific developer center.

Which version of JSF does workspace1.7 support?

3 posts in General Discussion Last posting was on 2007-12-12 08:09:42.0Z
Vetacs Chen Posted on 2007-12-08 14:57:30.0Z
From: "Vetacs Chen" <vetacschen@gmail.com>
Newsgroups: sybase.public.workspace.general
Subject: Which version of JSF does workspace1.7 support?
Lines: 9
X-Priority: 3
X-MSMail-Priority: Normal
X-Newsreader: Microsoft Outlook Express 6.00.2900.3138
X-RFC2646: Format=Flowed; Original
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.3198
NNTP-Posting-Host: 117.88.191.126
X-Original-NNTP-Posting-Host: 117.88.191.126
Message-ID: <475ab0da@forums-1-dub>
Date: 8 Dec 2007 06:57:30 -0800
X-Trace: forums-1-dub 1197125850 117.88.191.126 (8 Dec 2007 06:57:30 -0800)
X-Original-Trace: 8 Dec 2007 06:57:30 -0800, 117.88.191.126
Path: forums-1-dub!not-for-mail
Xref: forums-1-dub sybase.public.workspace.general:546
Article PK: 1088233

JSF 1.0, 1.1 or 1.2? I want to use some other jsf componets such as sandbox
and richfaces. Is it supported? Is there any guide document on how to config
the "componet support" dialog in preferences->sybase->web application
development?
--
Regards,
Vetacs


Mike Crocker Posted on 2007-12-11 14:35:45.0Z
From: "Mike Crocker" <crocker@sybase.com>
Newsgroups: sybase.public.workspace.general
References: <475ab0da@forums-1-dub>
Subject: Re: Which version of JSF does workspace1.7 support?
Lines: 30
X-Priority: 3
X-MSMail-Priority: Normal
X-Newsreader: Microsoft Outlook Express 6.00.2900.3138
X-RFC2646: Format=Flowed; Response
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.3198
NNTP-Posting-Host: crockerxp.sybase.com
X-Original-NNTP-Posting-Host: crockerxp.sybase.com
Message-ID: <475ea041$1@forums-1-dub>
Date: 11 Dec 2007 06:35:45 -0800
X-Trace: forums-1-dub 1197383745 10.24.112.185 (11 Dec 2007 06:35:45 -0800)
X-Original-Trace: 11 Dec 2007 06:35:45 -0800, crockerxp.sybase.com
Path: forums-1-dub!not-for-mail
Xref: forums-1-dub sybase.public.workspace.general:547
Article PK: 1088231

Vetacs,

There are 2 things in JSF, runtime and UI implementation:
1. the JSF specification version and runtime

Both WS 1.7 and WS 2.0 supports JSF 1.1 spec version, and uses the Sun's 1.1
reference implementation.

2. the JSF UI implementation

WS 1.7 uses our own JSF UI implementation. After that, we contributed our
implementation to Eclipse, and we used it in the WS 2.0 release, that is WTP
2.0 and JSF 1.5 in the Eclispe opensource project.

I hope this helps.

mike

"Vetacs Chen" <vetacschen@gmail.com> wrote in message
news:475ab0da@forums-1-dub...
> JSF 1.0, 1.1 or 1.2? I want to use some other jsf componets such as
> sandbox and richfaces. Is it supported? Is there any guide document on how
> to config the "componet support" dialog in preferences->sybase->web
> application development?
> --
> Regards,
> Vetacs
>


Vetacs Chen Posted on 2007-12-12 08:09:42.0Z
From: Vetacs Chen <vetacschen@gmail.com>
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; zh-CN; rv:1.8.1.9) Gecko/20071031 Thunderbird/2.0.0.9 Mnenhy/0.7.5.666
MIME-Version: 1.0
Newsgroups: sybase.public.workspace.general
Subject: Re: Which version of JSF does workspace1.7 support?
References: <475ab0da@forums-1-dub> <475ea041$1@forums-1-dub>
In-Reply-To: <475ea041$1@forums-1-dub>
Content-Type: text/plain; charset=GB2312
Content-Transfer-Encoding: 7bit
NNTP-Posting-Host: 218.94.9.35
X-Original-NNTP-Posting-Host: 218.94.9.35
Message-ID: <475f9746@forums-1-dub>
Date: 12 Dec 2007 00:09:42 -0800
X-Trace: forums-1-dub 1197446982 218.94.9.35 (12 Dec 2007 00:09:42 -0800)
X-Original-Trace: 12 Dec 2007 00:09:42 -0800, 218.94.9.35
Lines: 35
Path: forums-1-dub!not-for-mail
Xref: forums-1-dub sybase.public.workspace.general:548
Article PK: 854836

Thanks a lot.

Vetacs

On 2007-12-11 22:35, Mike Crocker wrote:
> Vetacs,
>
> There are 2 things in JSF, runtime and UI implementation:
> 1. the JSF specification version and runtime
>
> Both WS 1.7 and WS 2.0 supports JSF 1.1 spec version, and uses the Sun's 1.1
> reference implementation.
>
> 2. the JSF UI implementation
>
> WS 1.7 uses our own JSF UI implementation. After that, we contributed our
> implementation to Eclipse, and we used it in the WS 2.0 release, that is WTP
> 2.0 and JSF 1.5 in the Eclispe opensource project.
>
> I hope this helps.
>
> mike
>
> "Vetacs Chen" <vetacschen@gmail.com> wrote in message
> news:475ab0da@forums-1-dub...
>> JSF 1.0, 1.1 or 1.2? I want to use some other jsf componets such as
>> sandbox and richfaces. Is it supported? Is there any guide document on how
>> to config the "componet support" dialog in preferences->sybase->web
>> application development?
>> --
>> Regards,
>> Vetacs
>>
>
>